﻿/**** background ****/
body, html {
    height: 100%;
    margin: 0;
}

.bg {
    width: 100%;
    height: 100%;
    position: absolute;
    background-image: linear-gradient(rgba(0,0,0,0.8), rgba(0,0,0,0.8)), url(/images/login-pg-bg.jpg);
    background-size: cover;
    background-repeat: no-repeat;
}
    .bg:after {
        width: 100%;
        height: 100%;
        position: fixed;
        top: 0;
        left: 0;
        background: rgba(255, 255, 255, 0.2);
        content: "";
    }

/**** preloader ****/
#preloader {
    width: 100%;
    height: 100%;
    background: #fff;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
}
#element {
    width: 70px;
    height: 24px;
    position: relative;
    left: 0px;
    right: 0px;
    margin: 0 auto;
    top: 50%;
    transform: translateY(-50%);
    border-radius: 50%;
    z-index: 1001;
    animation: spin 2s linear infinite;
}
.circ-one,
.circ-two {
    position: relative;
    display: block;
    width: 20px;
    height: 20px;
    border-radius: 100%;
}
.circ-one {
    background: #42d79e;
    float: left;
    animation: load-x 1s cubic-bezier(0.445, 0.1, 0.55, 0.9) infinite;
}
.circ-two {
    background: #57bce2;
    float: right;
    animation: load-y 1s cubic-bezier(0.445, 0.1, 0.55, 0.9) infinite;
}
@keyframes load-x {
    0% {
        left: -5px;
    }

    25% {
        z-index: 2;
    }

    50% {
        left: 50px;
    }

    75% {
        z-index: 1;
    }

    100% {
        left: -5px;
    }
}
@keyframes load-y {
    0% {
        right: -5px;
    }

    25% {
    }

    50% {
        right: 50px;
        z-index: 1;
    }

    75% {
        z-index: 2;
    }

    100% {
        right: -5px;
    }
}
@keyframes pulse {
    50% {
        opacity: 0.5;
    }
}

/**** operation area ****/
.area {
    font-family: 'Microsoft YaHei UI';
    z-index: 1;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
    .area .inputForm {
        background: #fff;
    }
    .area .register {
        width: 280px;
        margin: 0 auto;
        background: #173139;
        padding: 5px 20px 5px;
        box-shadow: 0px 2px 10px -3px rgba(0, 0, 0, 0.2);
        border-radius: 0 0 3px 3px;
        text-align: center;
    }

.register p {
    font-size: 9px;
    color: #c9e9f6;
}
.register a {
    border-bottom: 1px solid #c9e9f6;
    color: #fff;
}
.warning {
    color: red;
}

.optionbutton,
.optionbuttonOver,
.optionbuttonFocused,
.optionbuttonFocusedOver,
.optionbuttonDown,
.optionbuttonFocusedDown,
.optionbuttonSelected,
.optionbuttonSelectedFocused,
.optionbuttonSelectedDown,
.optionbuttonSelectedFocusedDown,
.optionbuttonSelectedOver,
.optionbuttonSelectedFocusedOver,
.optionbuttonDisabled,
.optionbuttonSelectedDisabled,
.optionbuttonDeselectedDisabled {
    background-color: #a3d3f5;
    border: 2px solid #a3d3f5;
    -moz-border-radius: 0px;
    -webkit-border-radius: 0px;
    border-radius: 0px;
    padding-left: 5px;
    padding-right: 5px;
    line-height: 18px;
    outline: 0px;
    color: #ffffff;
    font-size: 11px;
    font-family: corbel;
    font-weight: normal;
}

/* Over styles */
.optionbutton:hover,
.optionbuttonOver {
    color: #ffffff;
    background-color: #a8d2f0;
    border: 2px solid #a8d2f0;
    -moz-box-shadow: 0 0 0.2em 0.1em #a0d3f8;
    -webkit-box-shadow: 0 0 0.2em 0.1em #a0d3f8;
    box-shadow: 0 0 0.2em 0.1em #a0d3f8;
}

/* selected styles */
.optionbuttonSelected {
    color: #ffffff;
    background-color: #a8d2f0;
    border: 2px solid #99d5ff;
    -moz-box-shadow: inset 0 0 5px 1px #99d5ff;
    -webkit-box-shadow: inset 0 0 5px 1px #99d5ff;
    box-shadow: inset 0 0 5px 1px #99d5ff;
}

/* focused styles */
.optionbuttonFocused,
.optionbuttonSelectedFocused {
    color: #ffffff;
    background-color: #a8d2f0;
    border: 2px solid #99d5ff;
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
    box-shadow: none;
}

/* focusedOver styles */
.optionbuttonFocusedOver,
.optionbuttonSelectedFocusedOver {
    color: #ffffff;
    background-color: #a8d2f0;
    border: 2px solid #99d3ff;
    -moz-box-shadow: 0 0 5px #a0d3f8;
    -webkit-box-shadow: 0 0 5px #a0d3f8;
    box-shadow: 0 0 5px #a0d3f8;
}

/* Down styles */
.optionbuttonDown,
.optionbuttonFocusedDown,
.optionbuttonSelectedDown,
.optionbuttonSelectedFocusedDown {
    color: #ffffff;
    background-color: #a8d2f0;
    border: 2px solid #99d5ff;
    -moz-box-shadow: inset 0 0 5px 1px #99d5ff;
    -webkit-box-shadow: inset 0 0 5px 1px #99d5ff;
    box-shadow: inset 0 0 5px 1px #99d5ff;
}

/* disabled styles */
.optionbuttonDisabled,
.optionbuttonSelectedDisabled {
    color: #ffffff;
    background-color: #157fcc;
    border: 2px solid #157fcc;
}

.optionbuttonDeselectedDisabled {
    color: #a8a8a8;
    text-decoration: line-through;
}
